{
  "version": "2.0.0",
  "tasks": [
    {
      "label": "build-api",
      "command": "dotnet",
      "type": "process",
      "args": [
        "build",
        "${workspaceFolder}/DiunaBI.API/DiunaBI.API.csproj",
        "/property:GenerateFullPaths=true",
        "/consoleloggerparameters:NoSummary;ForceNoAlign"
      ],
      "problemMatcher": "$msCompile"
    },
    {
      "label": "build-web",
      "command": "dotnet",
      "type": "process",
      "args": [
        "build",
        "${workspaceFolder}/DiunaBI.UI.Web/DiunaBI.UI.Web.csproj",
        "/property:GenerateFullPaths=true",
        "/consoleloggerparameters:NoSummary;ForceNoAlign"
      ],
      "problemMatcher": "$msCompile"
    },
    {
      "label": "publish-api",
      "command": "dotnet",
      "type": "process",
      "args": [
        "publish",
        "${workspaceFolder}/DiunaBI.API/DiunaBI.API.csproj",
        "/property:GenerateFullPaths=true",
        "/consoleloggerparameters:NoSummary;ForceNoAlign"
      ],
      "problemMatcher": "$msCompile"
    },
    {
      "label": "publish-web",
      "command": "dotnet",
      "type": "process",
      "args": [
        "publish",
        "${workspaceFolder}/DiunaBI.UI.Web/DiunaBI.UI.Web.csproj",
        "/property:GenerateFullPaths=true",
        "/consoleloggerparameters:NoSummary;ForceNoAlign"
      ],
      "problemMatcher": "$msCompile"
    },
    {
      "label": "watch-api",
      "command": "dotnet",
      "type": "process",
      "args": [
        "watch",
        "run",
        "--project",
        "${workspaceFolder}/DiunaBI.API/DiunaBI.API.csproj"
      ],
      "problemMatcher": "$msCompile"
    },
    {
      "label": "watch-web",
      "command": "dotnet",
      "type": "process",
      "args": [
        "watch",
        "run",
        "--project",
        "${workspaceFolder}/DiunaBI.UI.Web/DiunaBI.UI.Web.csproj"
      ],
      "problemMatcher": "$msCompile"
    }
  ]
}
